Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.nativebinaries.tasks
[Groovy] Class LinkSharedLibrary

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.tasks.AbstractLinkTask
                  org.gradle.nativebinaries.tasks.LinkSharedLibrary

    @Incubating
    class LinkSharedLibrary
    extends AbstractLinkTask

Links a binary shared library from object files and imported libraries.

Method Summary
`protected LinkerSpec` | `createLinkerSpec()`

Methods inherited from class AbstractLinkTask
createLinkerSpec, getDestinationDir, getOutputType, getSource, lib, link, source

Method Detail

### createLinkerSpec

    @Override
    protected LinkerSpec createLinkerSpec()

Gradle API 1.10